Bug 838701 - [abrt] claws-mail-3.8.0-3.fc17: folderview_close_opened: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.8.0-3.fc17: folderview_close_opened: Process /usr/bin/cla...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:1710ea4e25d1ff143488c7677e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 16:29 EDT by Adam Kovari
Modified: 2015-08-31 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 17:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.97 KB, text/plain)
2012-07-09 16:29 EDT, Adam Kovari
no flags Details
File: maps (56.98 KB, text/plain)
2012-07-09 16:29 EDT, Adam Kovari
no flags Details
File: dso_list (11.99 KB, text/plain)
2012-07-09 16:29 EDT, Adam Kovari
no flags Details

  None (edit)
Description Adam Kovari 2012-07-09 16:29:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        claws-mail
comment:        opening folder on IMAP account
crash_function: folderview_close_opened
executable:     /usr/bin/claws-mail
kernel:         3.4.4-3.fc17.x86_64
pid:            5253
pwd:            /home/adam/.claws-mail/imapcache/mail.corp.redhat.com/akovari/Drafts
time:           Po  9. júl 2012, 22:14:10 CEST
uid:            18241
username:       akovari

backtrace:      Text file, 27619 bytes
dso_list:       Text file, 12280 bytes
maps:           Text file, 58343 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/akovari/3

core_backtrace:
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0xc7cd5 folderview_close_opened [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0xc806a - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x1fe58c gtk_cmctree_select [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x1fead1 - [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x21f2b7 - [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x217b29 gtk_cmclist_unselect_all [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x21d67d - [exe] -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x21fda4 - [exe] -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:cf80d3b1aa13394aed71e3e081176be16d9b85bd 0x47d29 main [exe] -

environ:
:INFINALITY_FT_AUTOHINT_HORIZONTAL_STEM_DARKEN_STRENGTH=10
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=dhcp-27-61.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:INFINALITY_FT_BOLD_EMBOLDEN_X_VALUE=0
:INFINALITY_FT_AUTOHINT_VERTICAL_STEM_DARKEN_STRENGTH=25
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=a1c825fb4266b4c33eee1b5e00000019-1341778709.50223-585726236
:LD_PRELOAD=/usr/lib64/freetype-infinality/libfreetype.so.6:
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/akovari/keyring-dv2VKz
:QTINC=/usr/lib64/qt-3.3/include
:INFINALITY_FT_CONTRAST=0
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:'JAVA_OPTS= -Xmx2g -XX:MaxPermSize=512M'
:JRE_HOME=/usr/java/latest/jre
:INFINALITY_FT_GRAYSCALE_FILTER_STRENGTH=0
:USER=akovari
:INFINALITY_FT_FRINGE_FILTER_STRENGTH=0
:INFINALITY_FT_BRIGHTNESS=0
:INFINALITY_FT_USE_VARIOUS_TWEAKS=true
:USERNAME=XXXX
:'INFINALITY_FT_GAMMA_CORRECTION=0 100'
:MAIL=/var/spool/mail/akovari
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/usr/java/latest/bin:/usr/java/latest/jre/bin:/home/adam/support-scripts/docs:/home/adam/support-scripts/general:/home/adam/support-scripts/internal:/home/adam/support-scripts/lib:/home/adam/support-scripts/one-offs:/home/adam/support-scripts/plugins:/home/adam/support-scripts/sbr-cluster:/home/adam/support-scripts/sbr-identity:/home/adam/support-scripts/sbr-kernel:/home/adam/support-scripts/sbr-networking:/home/adam/support-scripts/sbr-satellite:/home/adam/support-scripts/sbr-storage:/home/adam/support-scripts/sbr-virt:/home/adam/support-scripts/internal/scripts:/home/adam/bin:/home/adam/.local/bin:/home/adam/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adam
:JAVA_HOME=/usr/java/latest
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:'INFINALITY_FT_FILTER_PARAMS=11 22 38 22 11'
:GNOME_KEYRING_PID=1422
:LANG=en_US.utf8
:INFINALITY_FT_USE_KNOWN_SETTINGS_ON_SELECTED_FONTS=true
:INFINALITY_FT_STEM_SNAPPING_SLIDING_SCALE=40
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:INFINALITY_FT_WINDOWS_STYLE_SHARPENING_STRENGTH=10
:INFINALITY_FT_CHROMEOS_STYLE_SHARPENING_STRENGTH=0
:INFINALITY_FT_AUTOHINT_SNAP_STEM_HEIGHT=100
:INFINALITY_FT_STEM_ALIGNMENT_STRENGTH=25
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/adam
:SHLVL=1
:REPO_PROFILE=1
:INFINALITY_FT_BOLD_EMBOLDEN_Y_VALUE=0
:INFINALITY_FT_GLOBAL_EMBOLDEN_Y_VALUE=0
:LOGNAME=akovari
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VHzAmZaR2p,guid=d7b3a2df2985dcabe888dde40000017e
:INFINALITY_FT_STEM_FITTING_STRENGTH=25
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFINALITY_FT_AUTOHINT_INCREASE_GLYPH_HEIGHTS=true
:WINDOWPATH=1
:INFINALITY_FT_GLOBAL_EMBOLDEN_X_VALUE=0
:XDG_RUNTIME_DIR=/run/user/akovari
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-akovari-HcT2Y9/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1426,unix/unix:/tmp/.ICE-unix/1426
:GPG_AGENT_INFO=/run/user/akovari/keyring-dv2VKz/gpg:0:1
:SSH_AUTH_SOCK=/run/user/akovari/keyring-dv2VKz/ssh
:LC_TIME=sk_SK.utf8
:LC_NUMERIC=sk_SK.utf8
:LC_MONETARY=sk_SK.utf8
:LC_MEASUREMENT=sk_SK.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:CUR_WIDTH=91
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/claws-mail.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5253
:DESKTOP_STARTUP_ID=gnome-shell-1666-dhcp-27-61.brq.redhat.com-claws-mail-5_TIME6269751

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62792                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62792                62792                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/adam/.xsession-errors
:pos:	48191
:flags:	0102002
:2:/home/adam/.xsession-errors
:pos:	48191
:flags:	0102002
:3:/dev/urandom
:pos:	0
:flags:	02100000
:4:socket:[146084]
:pos:	0
:flags:	02000002
:5:socket:[146087]
:pos:	0
:flags:	02
:6:socket:[146088]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[144168]
:pos:	0
:flags:	02004002
:9:socket:[146687]
:pos:	0
:flags:	02004002
:10:/home/adam/.claws-mail/claws.log
:pos:	1412590
:flags:	0100001
:11:/home/adam/.claws-mail/filtering.log
:pos:	45
:flags:	0100001
:12:socket:[145086]
:pos:	0
:flags:	02004002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:pipe:[145087]
:pos:	0
:flags:	00
:15:pipe:[145087]
:pos:	0
:flags:	01
:16:pipe:[145088]
:pos:	0
:flags:	00
:17:pipe:[145088]
:pos:	0
:flags:	01
:18:socket:[146093]
:pos:	0
:flags:	02000002
:19:socket:[586637]
:pos:	0
:flags:	04002
:20:pipe:[586638]
:pos:	0
:flags:	00
:21:pipe:[586638]
:pos:	0
:flags:	01
:22:socket:[146110]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: d9f83c06-52e2-4b37-b5e0-3bf6dcb4ec7b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.48
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7870
:System Swap: 9919
:Vendor: LENOVO
:System: 4243BQ9 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dhcp2761-lv_root / ext4 4096 4096 13081025 4565627 3910267 3276800 3056322 3056322
:/dev/sda1 /boot ext4 1024 1024 508644 405620 380020 128016 127756 127756
:/dev/mapper/vg_dhcp2761-lv_home /home ext4 4096 4096 106192984 85782289 80466501 26583040 25430549 25430549
:

var_log_messages:
:Jul  9 21:13:20 dhcp-27-61 claws-mail: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Ticket expired)
:Jul  9 22:14:10 dhcp-27-61 kernel: [39244.448497] claws-mail[5253]: segfault at 1f8 ip 00000000004c7cd5 sp 00007fff54ccdc60 error 4 in claws-mail[400000+325000]
:Jul  9 22:14:11 dhcp-27-61 abrt[17907]: Saved core dump of pid 5253 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-07-09-22:14:10-5253 (55287808 bytes)

xsession_errors:
:** (claws-mail:5253): WARNING **: [10:16:31] IMAP error on mail.corp.redhat.com: LOGIN error
:** (claws-mail:5253): WARNING **: [18:19:21] IMAP error on mail.corp.redhat.com: connection refused
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:** (claws-mail:5253): WARNING **: [18:31:15] IMAP error on mail.corp.redhat.com: connection refused
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:** (claws-mail:5253): WARNING **: [20:40:30] IMAP error on mail.corp.redhat.com: connection refused
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:** (claws-mail:5253): WARNING **: [20:50:49] IMAP error on mail.corp.redhat.com: connection refused
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:** (claws-mail:5253): WARNING **: [21:00:51] IMAP error on mail.corp.redhat.com: connection refused
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_scan_required: assertion `session != NULL' failed
:(claws-mail:5253): Claws-Mail-CRITICAL **: imap_get_num_list: assertion `session != NULL' failed
:** (claws-mail:5253): WARNING **: [21:13:20] IMAP error on mail.corp.redhat.com: LOGIN error
:(claws-mail:5253): Claws-Mail-WARNING **: can't open signature file: /home/adam/.signature
:(claws-mail:5253): Claws-Mail-WARNING **: can't open signature file: /home/adam/.signature
:** (claws-mail:5253): WARNING **: [21:46:25] No SMTP AUTH method available
:** (claws-mail:5253): WARNING **: [21:46:26] No SMTP AUTH method available
:** (claws-mail:17963): WARNING **: [22:15:03] IMAP error on mail.corp.redhat.com: LOGIN error
Comment 1 Adam Kovari 2012-07-09 16:29:35 EDT
Created attachment 597150 [details]
File: backtrace
Comment 2 Adam Kovari 2012-07-09 16:29:43 EDT
Created attachment 597151 [details]
File: maps
Comment 3 Adam Kovari 2012-07-09 16:29:46 EDT
Created attachment 597152 [details]
File: dso_list
Comment 4 Michael Schwendt 2012-07-09 16:37:03 EDT
> comment:        opening folder on IMAP account

Could you be more verbose please?
Is it reproducible? And how exactly?

Can you reproduce with Claws Mail 3.8.1 in updates-testing?
https://admin.fedoraproject.org/updates/FEDORA-2012-10320
Comment 5 Adam Kovari 2012-07-10 03:01:03 EDT
I just clicked on one folder and it crashed. It's never happened before and never again. I don't think this is easily reproducible and I don't know of any unusual thing that could cause this behavior.
Comment 6 Michael Schwendt 2013-03-06 17:31:21 EST
It has come back once with Claws Mail 3.8.1 but not since 3.9.0, and the gtk_cmctree implementation has changed, too.

  2075  void folderview_close_opened(FolderView *folderview)
  2076  {
  2077          if (folderview->opened) {
  2078                  FolderItem *olditem;
  2079                  
  2080                  olditem = gtk_cmctree_node_get_row_data(GTK_CMCTREE(folderview->ctree), 
  2081                                                        folderview->opened);
  2082                  if (olditem) {
  2083                          gchar *buf = g_strdup_printf(_("Closing folder %s..."), 
  2084                                  olditem->path ? olditem->path:olditem->name);

Note You need to log in before you can comment on or make changes to this bug.